%if 0%{?fedora} > 12
%global with_python3 1
%endif

%global modname translationstring

Name:           python-translationstring
Version:        1.1
Release:        9%{?dist}
Summary:        Utility library for i18n relied on by various Repoze packages

Group:          Development/Libraries
License:        BSD
URL:            http://pypi.python.org/pypi/translationstring
Source0:        http://pypi.python.org/packages/source/t/translationstring/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif


%description
A library used by various `Repoze <http://repoze.org>`_ packages for
internationalization (i18n) duties related to translation.

This package provides a *translation string* class, a *translation string
factory* class, translation and pluralization primitives, and a utility that
helps `Chameleon <http://chameleon.repoze.org>`_ templates use translation
facilities of this package.  It does not depend on `Babel
<http://babel.edgewall.org>`_, but its translation and pluralization services
are meant to work best when provided with an instance of the
``babel.support.Translations`` class.

%if 0%{?with_python3}
%package -n python3-translationstring
Summary:        Utility library for i18n relied on by various Repoze packages
Group:          Development/Libraries

%description -n python3-translationstring
A library used by various `Repoze <http://repoze.org>`_ packages for
internationalization (i18n) duties related to translation.

This package provides a *translation string* class, a *translation string
factory* class, translation and pluralization primitives, and a utility that
helps `Chameleon <http://chameleon.repoze.org>`_ templates use translation
facilities of this package.  It does not depend on `Babel
<http://babel.edgewall.org>`_, but its translation and pluralization services
are meant to work best when provided with an instance of the
``babel.support.Translations`` class.
%endif

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg info if it exists.
rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%{__python} setup.py test

%files
%doc README.txt LICENSE.txt
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*.egg-info

%if 0%{?with_python3}
%files -n python3-translationstring
%doc README.txt LICENSE.txt
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*.egg-info
%endif


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.1-7
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Ralph Bean <rbean@redhat.com> - 1.1-4
- Looks like python3-babel isn't actually required.  Removed req.
- Enabled python3-translationstring subpackage.

* Fri Dec 07 2012 Ralph Bean <rbean@redhat.com> - 1.1-3
- Laid groundwork for packaging python3 support.  Waiting on python3-babel.
- Removed unnecessary defattr.
- Removed unnecessary removal of the buildroot.
- Removed unnecessary clean section.
- Removed bundled egg-info.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Luke Macken <lmacken@redhat.com> - 1.1-1
- Bump to version 1.1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 0.3-1
- Initial package
